<?php
header("HTTP/1.1 200 OK");
header("Status: 200 OK");
header ("Content-type: text/html");
// inclusion des fonctions
session_start();
require_once("securite.class.php");
require_once("wiki.class.php");
require_once("Smarty/libs/Smarty.class.php");
$wiki = new wiki();
// detection de nouveau module
$upgrade = $wiki -> upgrade();
$securite = new securite();
// gestion des erreurs
function recuperer_erreur($errno,$errstr,$errfile,$errline)
{
    // On dfinit le type de l'erreur
    switch($errno)
    {
        case E_USER_ERROR :
            $type = "Fatal";
            break;
        case E_USER_WARNING :
            $type = "Erreur";
            break;
        case E_ERROR :
            $type = "Fatal";
            break;
        case E_WARNING :
            $type = "Erreur";
            break;
        default :
            $type = "Inconnu";
            break;
    }
$oSmarty = new Smarty();
$oSmarty->assign('titre',"erreur");
// corps du wiki
$erreur = "Une erreur de type: ".$type." est survenu<br/>";
$erreur = $erreur.'<span style="color:red">Message d\'erreur :</span> ['.$errno."] ".$errstr.
    '<br/><span style="color:red">Ligne : </span>'.$errline.'<br/><span style="color:red"> Fichier : </span>'.$errfile;
$oSmarty->assign('wiki',$erreur);
// barre de menu
$oSmarty->assign('menu_haut','<li><a href="modifier">Modifier</a></li><li>'.""."</li>");
// console de debug smarty
$oSmarty->debugging = true;
// affichage du template
$oSmarty->display("defaut.tpl");
exit(0); 
}
// fin fonction
error_reporting(E_ALL);
set_error_handler('recuperer_erreur');
// fin
// traitement adresse
$url=$_SERVER['REQUEST_URI'];
$conf = $wiki -> lire_configuration("config.txt");
// affichage de la page
eregi($conf["dossier_wiki"]."([0-9a-z_]+)",$url,$regs);
preg_match("#".$conf["dossier_wiki"]."[a-z0-9_]+\?([a-z=&0-9A-Z_%]+)#",$url,$get);
if (isset($get[1])) {
$get = $wiki -> url_parametre($get[1]);
} else $get = "";
if ($regs[1] == "") {
                      $regs[1] = "index";
					  $nom_fichier = "./data/index";
					  }
if (preg_match("#^".$conf["dossier_wiki"]."[0-9a-z_]*(\?[a-z=&0-9A-Z_%]+)?$#",$url) == false) $nom_fichier = "./erreur/1";
else $nom_fichier = "./data/".$regs[1];
// Smarty objet
$oSmarty = new Smarty();
// variable par defaut
$page_conf["get"] = $get;
$page_conf["template"] = "defaut.tpl";
$page_conf["nom_page"] = $regs[1];
$page_conf["smarty"] = $oSmarty;
// fin variable defaut
// lecture page et verification des droits utilisateurs
$droit = $securite -> utilisateur_droit();
if ($droit["lecture"] == 0) $page = $wiki -> lire_article("./erreur/droit",$page_conf);
else $page = $wiki -> lire_article($nom_fichier,$page_conf);
// ajout d'information pour les plugins
$page_conf["page"] = $page;
// affichage smarty
// titre de la page
$oSmarty->assign('titre',$regs[1]);
$oSmarty->assign('menu_droit',$wiki -> lire_article("./erreur/menu_droit",$page_conf));
// nouveau module
$oSmarty->assign('module',$upgrade);
// titre du cms
$oSmarty->assign('titre_cms',$conf["titre_wiki"]);
// html dans les balises <head></head>
$oSmarty->assign('head',$wiki -> lire_article("./erreur/head",$page_conf));
// texte avant le corps du cms
$oSmarty->assign('av_wiki',$wiki -> lire_article("./erreur/avant_wiki",$page_conf));
// aprs le corps du cms
$oSmarty->assign('ap_wiki',$wiki -> lire_article("./erreur/apres_wiki",$page_conf));
// barre de menu
$oSmarty->assign('menu_haut','<li><a href="modifier?page='.$regs[1].'">Modifier</a></li><li><a href="#">'.$securite -> etat_connection()."</a></li>");
// corps du cms
$oSmarty->assign('wiki',$page_conf["page"]);
// affichage du template
$oSmarty->display($page_conf["template"]);
?>